Bug 120530 - Table border isn't redrawn until some movement
Summary: Table border isn't redrawn until some movement
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2018-10-11 21:03 UTC by Telesto
Modified: 2020-12-27 03:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (21.54 KB, application/vnd.oasis.opendocument.text)
2018-10-11 21:03 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-11 21:03:00 UTC
Description:
Table border isn't redraw until some movement

Steps to Reproduce:
1. Open the attached file
2. Enable spell checker
3. Place the cursor at the end of "Delete this"
4. Hold backspace -> cursor moves to the previous page (table border on the second page still there)

Actual Results:
The table border isn't redrawn after deleting some content

Expected Results:
Proper layout refresh


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: 87e3539d69626780c6d7531b725dd0d64c69e6d8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-10_06:50:13
Locale: nl-NL (nl_NL); Calc: threaded

and in 
LibO 4.1
Comment 1 Telesto 2018-10-11 21:03:19 UTC
Created attachment 145629 [details]
Example file
Comment 2 raal 2018-10-12 21:07:00 UTC
I can confirm with Version: 6.2.0.0.alpha0+
Build ID: 4854acc7929ea58632c5d0f7f80a4adc3c62b8cd
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 3 Telesto 2018-12-04 14:09:41 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2020-12-27 03:36:56 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug